ShapeField.DecodedTriangle.TYPE (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.document, class: ShapeField, class: DecodedTriangle, enum: TYPE

Package org.apache.lucene.document

# Enum Class ShapeField.DecodedTriangle.TYPE

java.lang.Object
java.lang.Enum<ShapeField.DecodedTriangle.TYPE>
org.apache.lucene.document.ShapeField.DecodedTriangle.TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<ShapeField.DecodedTriangle.TYPE>`, `Constable`

Enclosing class:
  `ShapeField.DecodedTriangle`

public static enum ShapeField.DecodedTriangle.TYPE extends Enum<ShapeField.DecodedTriangle.TYPE>
type of triangle

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LINE`
  first and third coordinates are equal
  `POINT`
  all coordinates are equal
  `TRIANGLE`
  all coordinates are different

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShapeField.DecodedTriangle.TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShapeField.DecodedTriangle.TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POINT

    public static final ShapeField.DecodedTriangle.TYPE POINT
    all coordinates are equal

  - ### LINE

    public static final ShapeField.DecodedTriangle.TYPE LINE
    first and third coordinates are equal

  - ### TRIANGLE

    public static final ShapeField.DecodedTriangle.TYPE TRIANGLE
    all coordinates are different

- ## Method Details

  - ### values

    public static ShapeField.DecodedTriangle.TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShapeField.DecodedTriangle.TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null